nice-try

A function that tries to execute a function and discards any error that occurs.

# Install

npm install nice-try

# Usage

const niceTry = require('nice-try')
niceTry(() => JSON.parse('true')) // true
niceTry(() => JSON.parse('truee')) // undefined
niceTry() // undefined
niceTry(true) // undefined

# API

## Parameters

- `fn` `{Function}` Function that might or might not throw an error.

## Returns

- `{?*}` Return-value of the function when no error occurred.